import { Slide } from "@netless/slide";
import type { DisplayerState } from "white-web-sdk";
import { ProjectorPlugin } from "./projectorPlugin";
export declare type SlideState = {
    taskId: string;
    url: string;
    currentSlideIndex: number;
};
export declare class ProjectorSlideManager {
    private context;
    slide: Slide | undefined;
    slideWidth: number | undefined;
    slideHeight: number | undefined;
    constructor(context: ProjectorPlugin);
    private onStateChange;
    private onSlideChange;
    private onSlideEventDispatch;
    private setSlideAndWhiteboardSize;
    private alignWhiteboardAndSlide;
    computedStyle(state: DisplayerState): void;
    private getSlideObj;
    nextStep(): void;
    prevStep(): void;
    destory(): void;
    renderSlide: (index: number) => Promise<void>;
    getSlidePageCount(): Promise<number>;
    initSlide: () => Promise<Slide>;
    setResource: (taskId: string, prefix: string) => Promise<void>;
    setSlideState(slideState: SlideState): Promise<void>;
}
